clang 8.0.0

Classes | Namespaces | Macros | Functions
OSTargets.h File Reference
`#include "Targets.h"`
`#include "llvm/MC/MCSectionMachO.h"`
Include dependency graph for OSTargets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::targets::OSTargetInfo< TgtInfo >
class | clang::targets::CloudABITargetInfo< Target >
class | clang::targets::AnanasTargetInfo< Target >
class | clang::targets::DarwinTargetInfo< Target >
class | clang::targets::DragonFlyBSDTargetInfo< Target >
class | clang::targets::FreeBSDTargetInfo< Target >
class | clang::targets::KFreeBSDTargetInfo< Target >
class | clang::targets::HaikuTargetInfo< Target >
class | clang::targets::HurdTargetInfo< Target >
class | clang::targets::MinixTargetInfo< Target >
class | clang::targets::LinuxTargetInfo< Target >
class | clang::targets::NetBSDTargetInfo< Target >
class | clang::targets::OpenBSDTargetInfo< Target >
class | clang::targets::PSPTargetInfo< Target >
class | clang::targets::PS3PPUTargetInfo< Target >
class | clang::targets::PS4OSTargetInfo< Target >
class | clang::targets::RTEMSTargetInfo< Target >
class | clang::targets::SolarisTargetInfo< Target >
class | clang::targets::WindowsTargetInfo< Target >
class | clang::targets::NaClTargetInfo< Target >
class | clang::targets::FuchsiaTargetInfo< Target >
class | clang::targets::WebAssemblyOSTargetInfo< Target >
class | clang::targets::WASITargetInfo< Target >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::targets

## Macros
#define | FREEBSD_CC_VERSION 0U

## Functions
void | clang::targets::getDarwinDefines (MacroBuilder &Builder, const LangOptions &Opts, const llvm::Triple &Triple, StringRef &PlatformName, VersionTuple &PlatformMinVersion)

## Macro Definition Documentation

## ◆ FREEBSD_CC_VERSION

#define FREEBSD_CC_VERSION 0U

Definition at line 177 of file OSTargets.h.

Referenced by clang::targets::FreeBSDTargetInfo< Target >::getOSDefines().